net.sf.jasperreports.engine.util

## Class JRStyledText.Run

- java.lang.Object
- - net.sf.jasperreports.engine.util.JRStyledText.Run

- All Implemented Interfaces:
    java.lang.Cloneable
  Enclosing class:
    JRStyledText

      public static class JRStyledText.Run
      extends java.lang.Object
      implements java.lang.Cloneable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.Map<java.text.AttributedCharacterIterator.Attribute,java.lang.Object>` | `attributes`
    `int` | `endIndex`
    `int` | `startIndex`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRStyledText.Run(java.util.Map<java.text.AttributedCharacterIterator.Attribute,java.lang.Object> attributes, int startIndex, int endIndex)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.Object` | `clone()`
    `JRStyledText.Run` | `cloneRun()` Clones this object.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### attributes

          public java.util.Map<java.text.AttributedCharacterIterator.Attribute,java.lang.Object> attributes

    - #### startIndex

          public int startIndex

    - #### endIndex

          public int endIndex

  - ### Constructor Detail

    - #### JRStyledText.Run

          public JRStyledText.Run(java.util.Map<java.text.AttributedCharacterIterator.Attribute,java.lang.Object> attributes,
                          int startIndex,
                          int endIndex)

  - ### Method Detail

    - #### clone

          protected java.lang.Object clone()

      Overrides:
        `clone` in class `java.lang.Object`

    - #### cloneRun

          public JRStyledText.Run cloneRun()

      Clones this object.
      Returns:
        a clone of this object

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com